import { Middleware, Manager, State } from '@rest-hooks/core';
export declare type DevToolsConfig = {
    [k: string]: unknown;
    name: string;
};
/** Integrates with https://github.com/zalmoxisus/redux-devtools-extension
 *
 * Options: https://github.com/zalmoxisus/redux-devtools-extension/blob/master/docs/API/Arguments.md
 */
export default class DevToolsManager implements Manager {
    protected middleware: Middleware;
    protected devTools: undefined | any;
    constructor(config?: DevToolsConfig);
    /** Called when initial state is ready */
    init(state: State<any>): void;
    /** Ensures all subscriptions are cleaned up. */
    cleanup(): void;
    /** Attaches Manager to store
     *
     */
    getMiddleware<T extends DevToolsManager>(this: T): Middleware;
}
//# sourceMappingURL=DevtoolsManager.d.ts.map
